## List existing CNI objects `client.NetworkInterconnects.CNIs.List(ctx, params) (*CNIListResponse, error)` **get** `/accounts/{account_id}/cni/cnis` List existing CNI objects ### Parameters - `params CNIListParams` - `AccountID param.Field[string]` Path param: Customer account tag - `Cursor param.Field[int64]` Query param - `Limit param.Field[int64]` Query param - `Slot param.Field[string]` Query param: If specified, only show CNIs associated with the specified slot - `TunnelID param.Field[string]` Query param: If specified, only show cnis associated with the specified tunnel id ### Returns - `type CNIListResponse struct{…}` - `Items []CNIListResponseItem` - `ID string` - `Account string` Customer account tag - `CustIP string` Customer end of the point-to-point link This should always be inside the same prefix as `p2p_ip`. - `Interconnect string` Interconnect identifier hosting this CNI - `Magic CNIListResponseItemsMagic` - `ConduitName string` - `Description string` - `Mtu int64` - `P2pIP string` Cloudflare end of the point-to-point link - `BGP CNIListResponseItemsBGP` - `CustomerASN int64` ASN used on the customer end of the BGP session - `ExtraPrefixes []string` Extra set of static prefixes to advertise to the customer's end of the session - `Md5Key string` MD5 key to use for session authentication. Note that *this is not a security measure*. MD5 is not a valid security mechanism, and the key is not treated as a secret value. This is *only* supported for preventing misconfiguration, not for defending against malicious attacks. The MD5 key, if set, must be of non-zero length and consist only of the following types of character: * ASCII alphanumerics: `[a-zA-Z0-9]` * Special characters in the set `'!@#$%^&*()+[]{}<>/.,;:_-~`= |` In other words, MD5 keys may contain any printable ASCII character aside from newline (0x0A), quotation mark (`"`), vertical tab (0x0B), carriage return (0x0D), tab (0x09), form feed (0x0C), and the question mark (`?`). Requests specifying an MD5 key with one or more of these disallowed characters will be rejected. - `Next int64` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/network_interconnects" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) cnis, err := client.NetworkInterconnects.CNIs.List(context.TODO(), network_interconnects.CNIListParams{ AccountID: cloudflare.F("account_id"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", cnis.Items) } ``` #### Response ```json { "items": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "account": "account", "cust_ip": "192.168.3.4/31", "interconnect": "interconnect", "magic": { "conduit_name": "conduit_name", "description": "description", "mtu": 0 }, "p2p_ip": "192.168.3.4/31", "bgp": { "customer_asn": 0, "extra_prefixes": [ "string" ], "md5_key": "md5_key" } } ], "next": 0 } ```